# KSPComputeExtremeSingularValues

Computes the extreme singular values for the preconditioned operator. Called after or during KSPSolve().

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT KSPComputeExtremeSingularValues(KSP ksp,PetscReal *emax,PetscReal *emin)

Not Collective

### Input Parameter

ksp -iterative context obtained from KSPCreate()

### Output Parameters

emin, emax -extreme singular values

### Notes

One must call KSPSetComputeSingularValues() before calling KSPSetUp() (or use the option -ksp_compute_eigenvalues) in order for this routine to work correctly.

Many users may just want to use the monitoring routine KSPMonitorSingularValue() (which can be set with option -ksp_monitor_singular_value) to print the extreme singular values at each iteration of the linear solve.

### Keywords

KSP, compute, extreme, singular, values

### See Also

KSPSetComputeSingularValues(), KSPMonitorSingularValue(), KSPComputeEigenvalues()

Level:advanced
Location: src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages